Skip to main content
GET
List Projects In Workspace

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Project ID

name
string
required

Project name

root_directory_id
string<uuid>
required

Root directory ID - all user directories/assets are children of this

trash_directory_id
string<uuid>
required

Trash directory ID - deleted assets are moved here

default_role
enum<string>
required

Default role for workspace members accessing this project

Available options:
owner,
member,
member_limited,
full_access,
editor,
commenter,
downloader,
viewer,
no_access
default_actions
integer
required

Default permission bitmap inherited by children

default_features
enum<string>[]
required

NOT IN USE - Default features to be performed on all assets in this project

Feature types processed by the system

Available options:
content_proxy,
audio_proxy,
preview,
scene_detect,
embedding,
transcription,
transcript_index,
scene_extract,
metadata,
scrub_preview,
doc_proxy,
doc_index,
face_index_asset,
face_match_asset,
scene_caption
num_assets
integer
required

Number of assets in project

size_bytes
integer
required

Total size of assets in bytes

total_tokens_used
integer
required

Total tokens used

duration
number
required

Total duration in seconds

chunk_size
integer
required

Chunk size in bytes for chunked uploads

actions
integer
required

User's permission bitmap on this project

created_by_user_id
string<uuid>
required

ID of the user that created the project

created
string<date-time>
required

Creation timestamp

updated
string<date-time>
required

Last update timestamp

icon
CustomIconData · object | null

Project icon data

dominant_color
string | null

Dominant color extracted from project icon (hex format)

last_accessed_at
string<date-time> | null

Current user's last project access